## aodh 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

tenacity>=3.2.1  # Apache-2.0
croniter>=0.3.4 # MIT License
futures>=3.0;python_version=='2.7' or python_version=='2.6'  # BSD
futurist>=0.11.0  # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0
keystonemiddleware>=2.2.0,!=4.19.0
gnocchiclient>=3.1.0  # Apache-2.0
lxml>=2.3
oslo.db>=4.8.0,!=4.13.1,!=4.13.2,!=4.15.0 # Apache-2.0
oslo.config>=2.6.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
PasteDeploy>=1.5.0
pbr>=2.0.0 # Apache-2.0
pecan>=0.8.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.22.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
python-keystoneclient>=1.6.0
pytz>=2013.6
requests>=2.5.2
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
WebOb>=1.2.3
WSME>=0.8
cachetools>=1.1.6
cotyledon
keystoneauth1>=2.1
debtcollector>=1.2.0  # Apache-2.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  wadl       to build a WADL file for api.openstack.org"

clean:
	-rm -rf $(BUILDDIR)/*

html: check-dependencies
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: check-dependencies
check-dependencies:
	@python -c 'import sphinxcontrib.autohttp.flask' >/dev/null 2>&1 || (echo "ERROR: Missing Sphinx dependencies. Run: pip install sphinxcontrib-httpdomain" && exit 1)

wadl:
	$(SPHINXBUILD) -b docbook $(ALLSPHINXOPTS) $(BUILDDIR)/wadl
	@echo
	@echo "Build finished. The WADL pages are in $(BUILDDIR)/wadl."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Ceilometer.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Ceilometer.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Ceilometer"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Ceilometer"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
openstackdocstheme>=1.11.0  # Apache-2.0
reno>=0.1.1  # Apache2
sphinx>=1.6.2
sphinxcontrib-httpdomain
sphinxcontrib-pecanwsme>=0.8

=== debian/changelog ===
aodh (6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Feb 2018 09:46:05 +0000

aodh (6.0.0~b1~git20180129.f9d322ea-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-ujson.patch: Dropped. Fixed upstream in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 16:20:48 -0500

aodh (6.0.0~b1~git20171213.3fcb2843-0ubuntu2) bionic; urgency=medium

  * d/p/drop-ujson.patch: Cherry pick inflight change to drop requirement
    for ujson from aodh.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Jan 2018 10:03:31 +0000

aodh (6.0.0~b1~git20171213.3fcb2843-0ubuntu1) bionic; urgency=medium

  * d/control: Add ujson to Depends.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * New upstream snapshot for OpenStack Queens.
  * d/p/*: Drop, no longer needed.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/aodh-common.install: Drop policy.json, now implemented in code.
  * d/control: Drop BD on python-happybase.
  * d/rules: Setup test storage URL.
  * d/rules: Switch back to using testrepository directly for unit test
    execution.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Dec 2017 15:29:02 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#expose DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"
SHELL := /bin/sh -e


include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with apache2,python2,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository

override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/etc/aodh
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$(CURDIR)/aodh/cmd/aodh-config-generator.conf \
		--output-file=$(CURDIR)/debian/tmp/etc/aodh/aodh.conf
	crudini --merge $(CURDIR)/debian/tmp/etc/aodh/aodh.conf < $(CURDIR)/debian/aodh.conf.dist
	dh_install --fail-missing -Xusr/etc/aodh/aodh-config-generator.conf -Xusr/bin/aodh-api \
		-Xusr/etc/aodh/policy.json -Xusr/etc/aodh/api_paste.ini

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	testr init
	OS_TEST_PATH=$(CURDIR)/aodh/tests/unit PYTHONPATH=$(CURDIR) testr run '^(?!aodh.tests.unit.test_bin.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/tests/control ===
Tests: python-aodh aodh-daemons
Depends: python-aodh, aodh-evaluator, aodh-notifier,
 aodh-listener, aodh-expirer, rabbitmq-server
Restrictions: needs-root

## aodh 6.0.1

=== debian/changelog ===
aodh (6.0.1-0ubuntu1.2) bionic; urgency=medium

  * d/p/0001-Add-user_domain_name-to-keystone-client.patch: Keystone
    client might require the user domain name. (LP: #1831181).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 26 Jun 2019 19:09:47 -0400

aodh (6.0.1-0ubuntu1.1) bionic; urgency=medium

  * d/p/0001-Support-same-projects-in-different-domain.patch
    - Support same projects in different domain (LP: #1776375)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Thu, 19 Jul 2018 14:46:33 +0900

aodh (6.0.1-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Create stable/queens branch.
  * New stable point release for OpenStack Queens (LP: #1778747).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 11:52:16 -0400

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 37~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 crudini,
 mongodb,
 python-babel,
 python-cachetools (>= 2.0.0),
 python-ceilometerclient (>= 1.5.0),
 python-concurrent.futures (>= 3.0),
 python-cotyledon,
 python-coverage,
 python-croniter (>= 0.3.4),
 python-debtcollector (>= 1.2.0),
 python-futurist (>= 0.11.0),
 python-gabbi,
 python-gnocchiclient (>= 3.1.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:1.6.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 2.3),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx,
 python-oslotest,
 python-pastedeploy (>= 1.5.0),
 python-pecan (>= 0.8.0),
 python-psycopg2,
 python-pymysql,
 python-requests (>= 2.5.2),
 python-retrying,
 python-six (>= 1.10.0),
 python-sphinxcontrib-pecanwsme (>= 0.8),
 python-sphinxcontrib.httpdomain,
 python-sqlalchemy-utils,
 python-stevedore (>= 1:1.5.0),
 python-tempest,
 python-tenacity (>= 3.2.1),
 python-testresources (>= 2.0.0),
 python-testscenarios,
 python-tooz (>= 1.28.0),
 python-tz (>= 2013.6),
 python-tz (>= 2013.6),
 python-webob (>= 1:1.7.1),
 python-webtest,
 python-werkzeug,
 python-wsme (>= 0.8),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
Homepage: https://github.com/openstack/aodh
XS-Testsuite: autopkgtest

Package: aodh-api
Architecture: all
Depends:
 adduser,
 aodh-common (= ${binary:Version}),
 apache2 | httpd,
 libapache2-mod-wsgi,
 lsb-base,
 python-openstackclient,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 mongodb,
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-common
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 python-aodh (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

Package: aodh-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: aodh-evaluator
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 lsb-base,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-expirer
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 lsb-base,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-listener
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 lsb-base,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-notifier
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 lsb-base,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: python-aodh
Section: python
Architecture: all
Depends:
 python-cachetools (>= 2.0.0),
 python-ceilometerclient (>= 1.5.0),
 python-concurrent.futures (>= 3.0),
 python-cotyledon,
 python-croniter (>= 0.3.4),
 python-debtcollector (>= 1.2.0),
 python-futurist (>= 0.11.0),
 python-gnocchiclient (>= 3.1.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:1.6.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 2.3),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.utils (>= 3.33.0),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-pecan (>= 0.8.0),
 python-pymysql,
 python-requests (>= 2.5.2),
 python-retrying,
 python-six (>= 1.10.0),
 python-sqlalchemy,
 python-stevedore (>= 1:1.5.0),
 python-tenacity (>= 3.2.1),
 python-tooz (>= 1.28.0),
 python-tz (>= 2013.6),
 python-tz (>= 2013.6),
 python-webob (>= 1:1.7.1),
 python-werkzeug,
 python-wsme (>= 0.8),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Aodh.

## aodh 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
 six>=1.9.0
 stevedore>=1.5.0 # Apache-2.0
 tooz>=1.28.0 # Apache-2.0
+voluptuous>=0.8.10
 WebOb>=1.2.3
 WSME>=0.8
 cachetools>=1.1.6

=== debian/changelog ===
aodh (7.0.0-0ubuntu4) cosmic; urgency=medium

  * d/p/ensure-refresh-gets-str-type.patch: Cherry-picked from upstream
    (https://review.openstack.org/#/c/613656/) to enable successful
    alarms in py3 (LP: #1799406).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Oct 2018 14:16:13 -0400

aodh (7.0.0-0ubuntu3) cosmic; urgency=medium

  * d/aodh-api.apache2, d/aodh-common.apache2: Move back to aodh-api
    package where apache2 dependencies are installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 09:30:58 -0400

aodh (7.0.0-0ubuntu2) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/aodh-*: Move common files to aodh-common. Only have
      python(3)-aodh depend on aodh-common. Other packages that used to
      depend on aodh-common now depend on python-aodh | python3-aodh.
    - d/control: Drop python(3)-aodh conflicts on each other.
    - d/python(3)-aodh.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 10:59:12 -0400

aodh (7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0001-Support-same-projects-in-different-domain.patch: Dropped. Fixed
    in new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 10:23:45 -0400

aodh (6.0.1-0ubuntu4) cosmic; urgency=medium

  * d/p/0001-Support-same-projects-in-different-domain.patch
    - Support same projects in different domain (LP: #1776375)

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Jul 2018 14:09:27 -0400

aodh (6.0.1-0ubuntu3) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-aodh package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-aodh Depends.
    - d/control: Make python(3)-aodh conflict against each other.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-aodh.install: Drop, not needed.
    - d/aodh-common.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite and
      drop deprectated 'XS-Testsuite: autopkgtest'.
    - d/python(3)-aodh.post*, d/python(3)-aodh.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for aodh daemons and add shebang tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Jul 2018 09:17:13 -0400

aodh (6.0.1-0ubuntu2) cosmic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1778747).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jun 2018 16:13:51 -0400

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 37~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 crudini,
 mongodb,
 python-babel,
 python-cachetools (>= 1.1.6),
 python-ceilometerclient (>= 1.5.0),
 python-concurrent.futures (>= 3.0),
 python-cotyledon,
 python-coverage,
 python-croniter (>= 0.3.4),
 python-debtcollector (>= 1.2.0),
 python-futurist (>= 0.11.0),
 python-gabbi,
 python-gnocchiclient (>= 3.1.0),
 python-jsonschema (>= 2.0.0),
 python-keystoneauth1 (>= 2.1),
 python-keystoneclient (>= 1:1.6.0),
 python-keystonemiddleware (>= 2.2.0),
 python-lxml (>= 2.3),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.11.0),
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:2.6.0),
 python-oslo.db (>= 4.8.0),
 python-oslo.i18n (>= 1.5.0),
 python-oslo.log (>= 1.2.0),
 python-oslo.messaging (>= 5.2.0),
 python-oslo.middleware (>= 3.22.0),
 python-oslo.policy (>= 0.5.0),
 python-oslo.utils (>= 3.5.0),
 python-oslosphinx,
 python-oslotest,
 python-pastedeploy (>= 1.5.0),
 python-pecan (>= 0.8.0),
 python-psycopg2,
 python-pymysql,
 python-reno (>= 0.1.1),
 python-requests (>= 2.5.2),
 python-retrying,
 python-six (>= 1.9.0),
 python-sphinxcontrib-pecanwsme (>= 0.8),
 python-sphinxcontrib.httpdomain,
 python-sqlalchemy-utils,
 python-stevedore (>= 1:1.5.0),
 python-tempest,
 python-tenacity (>= 3.2.1),
 python-testresources (>= 2.0.0),
 python-testscenarios,
 python-tooz (>= 1.28.0),
 python-tz (>= 2013.6),
 python-tz (>= 2013.6),
 python-voluptuous (>= 0.8.10),
 python-webob (>= 1:1.2.3),
 python-webtest,
 python-werkzeug,
 python-wsme (>= 0.8),
 python3-babel,
 python3-cachetools (>= 1.1.6),
 python3-ceilometerclient (>= 1.5.0),
 python3-cotyledon,
 python3-coverage,
 python3-croniter (>= 0.3.4),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 0.11.0),
 python3-gabbi,
 python3-gnocchiclient (>= 3.1.0),
 python3-jsonschema (>= 2.0.0),
 python3-keystoneauth1 (>= 2.1),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 2.2.0),
 python3-lxml (>= 2.3),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:2.6.0),
 python3-oslo.db (>= 4.8.0),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.log (>= 1.2.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 0.5.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslosphinx,
 python3-oslotest,
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 0.8.0),
 python3-psycopg2,
 python3-pymysql,
 python3-reno (>= 0.1.1),
 python3-requests (>= 2.5.2),
 python3-retrying,
 python3-six (>= 1.9.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8),
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy-utils,
 python3-stevedore (>= 1:1.5.0),
 python3-tempest,
 python3-tenacity (>= 3.2.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-tooz (>= 1.28.0),
 python3-tz (>= 2013.6),
 python3-tz (>= 2013.6),
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1:1.2.3),
 python3-webtest,
 python3-werkzeug,
 python3-wsme (>= 0.8),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
Homepage: https://github.com/openstack/aodh
Testsuite: autopkgtest-pkg-python

Package: aodh-api
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi | libapache2-mod-wsgi-py3,
 lsb-base,
 python-aodh (= ${binary:Version}) | python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 mongodb,
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: aodh-evaluator
Architecture: all
Depends:
 lsb-base,
 python-aodh (= ${binary:Version}) | python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-expirer
Architecture: all
Depends:
 lsb-base,
 python-aodh (= ${binary:Version}) | python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-listener
Architecture: all
Depends:
 lsb-base,
 python-aodh (= ${binary:Version}) | python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-notifier
Architecture: all
Depends:
 lsb-base,
 python-aodh (= ${binary:Version}) | python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: python-aodh
Section: python
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 python-cachetools (>= 1.1.6),
 python-ceilometerclient (>= 1.5.0),
 python-concurrent.futures (>= 3.0),
 python-cotyledon,
 python-croniter (>= 0.3.4),
 python-debtcollector (>= 1.2.0),
 python-futurist (>= 0.11.0),
 python-gnocchiclient (>= 3.1.0),
 python-jsonschema (>= 2.0.0),
 python-keystoneauth1 (>= 2.1),
 python-keystoneclient (>= 1:1.6.0),
 python-keystonemiddleware (>= 2.2.0),
 python-lxml (>= 2.3),
 python-openstackclient,
 python-oslo.config (>= 1:2.6.0),
 python-oslo.db (>= 4.8.0),
 python-oslo.i18n (>= 1.5.0),
 python-oslo.log (>= 1.2.0),
 python-oslo.messaging (>= 5.2.0),
 python-oslo.middleware (>= 3.22.0),
 python-oslo.policy (>= 0.5.0),
 python-oslo.utils (>= 3.5.0),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-pecan (>= 0.8.0),
 python-pymysql,
 python-requests (>= 2.5.2),
 python-retrying,
 python-six (>= 1.9.0),
 python-sqlalchemy,
 python-stevedore (>= 1:1.5.0),
 python-tenacity (>= 3.2.1),
 python-tooz (>= 1.28.0),
 python-tz (>= 2013.6),
 python-tz (>= 2013.6),
 python-voluptuous (>= 0.8.10),
 python-webob (>= 1:1.2.3),
 python-werkzeug,
 python-wsme (>= 0.8),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python 2 libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python 2 libraries that are needed for all parts of
 Aodh.

Package: python3-aodh
Section: python
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 python3-cachetools (>= 1.1.6),
 python3-ceilometerclient (>= 1.5.0),
 python3-cotyledon,
 python3-croniter (>= 0.3.4),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 0.11.0),
 python3-gnocchiclient (>= 3.1.0),
 python3-jsonschema (>= 2.0.0),
 python3-keystoneauth1 (>= 2.1),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 2.2.0),
 python3-lxml (>= 2.3),
 python3-openstackclient,
 python3-oslo.config (>= 1:2.6.0),
 python3-oslo.db (>= 4.8.0),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.log (>= 1.2.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 0.5.0),
 python3-oslo.utils (>= 3.5.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 0.8.0),
 python3-pymysql,
 python3-requests (>= 2.5.2),
 python3-retrying,
 python3-six (>= 1.9.0),
 python3-sqlalchemy,
 python3-stevedore (>= 1:1.5.0),
 python3-tenacity (>= 3.2.1),
 python3-tooz (>= 1.28.0),
 python3-tz (>= 2013.6),
 python3-tz (>= 2013.6),
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1:1.2.3),
 python3-werkzeug,
 python3-wsme (>= 0.8),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python 3 libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,14 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with apache2,python2,systemd,sphinxdoc
+	dh $@  --with apache2,python2,python3,systemd,sphinxdoc
 
 override_dh_clean:
 	dh_clean
 	rm -rf .testrepository
+
+override_dh_auto_install:
+	pkgos-dh_auto_install
 
 override_dh_install:
 	mkdir -p $(CURDIR)/debian/tmp/etc/aodh
@@ -32,8 +35,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	testr init
-	OS_TEST_PATH=$(CURDIR)/aodh/tests/unit PYTHONPATH=$(CURDIR) testr run '^(?!aodh.tests.unit.test_bin.*)'
+	pkgos-dh_auto_test 'aodh\.tests\.unit.(?!test_bin.*)'
 endif
 
 override_dh_sphinxdoc:

=== debian/tests/control ===
Tests: aodh-daemons, aodh-shebangs-py3
Depends: python3-aodh, libapache2-mod-wsgi-py3,
 aodh-evaluator, aodh-notifier, aodh-listener,
 aodh-expirer, rabbitmq-server
Restrictions: needs-root

Tests: aodh-daemons, aodh-shebangs-py2
Depends: aodh-evaluator, aodh-notifier,
 aodh-listener, aodh-expirer, rabbitmq-server
Restrictions: needs-root
